Work Steps

GET /work-steps/{id}/versions

List all versions of a specific work step. Requires work-steps.read permission.

Path parameters

Name Type Required Description
id string yes The unique identifier of the record

Responses

Status Description
200 A list of versions for the work step
403 The requesting user lacks appropriate permissions
404 The work step was not found

Response 200 body

  • data object[] · required
  • meta object · required
{
    "data": [
        {
            "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
            "isCurrent": true,
            "name": "Safety Check",
            "status": "confirmed",
            "version": 1
        }
    ],
    "meta": {
        "requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
        "userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
        "organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
    }
}